Page MenuHomePhabricator

Translation page in source language use tvar name instead of tvar content
Closed, ResolvedPublicBUG REPORT

Description

On meta:Template:Engine/translatable,

<translate><!--T:1--> Search in {{{<tvar|1>label</>|this page hierarchy}}}</translate>

has been parsed by FuzzyBot to meta:Template:Engine/translatable/en into:

Search in {{{$1|this page hierarchy}}}

Note $1 is used instead of label. On real translation such as /fr, label is well used.

Event Timeline

Pols12 created this task.Jul 30 2020, 3:56 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 30 2020, 3:56 PM
Pols12 added a comment.EditedJul 30 2020, 9:12 PM

Thanks, I didn’t know we could edit translation units in source language.

So, I have tried to reproduce this bug, but I haven’t achieved: after all, I don’t think this is a regression.

EDIT: Oh, yes, in fact I did. To reproduce this bug, I have added a TVAR inside a page who was already marked for translation, and I have checked “Do not invalidate translations” when marking the page for translation again.

I just reproduced this issue with these steps:

  1. Find a page which has already been marked for translation.
  2. Edit it to add a new tvar (e.g. <tvar|foo>test</>).
  3. Open Special:PageTranslation with do=mark GET param.
  4. Check “Do not invalidate translations” for concerned translation unit.
  5. Submit the action clicking “Mark this version for translation”
  6. Visit [[https://meta.wikimedia.org/wiki/User:Pols12/Sandbox/en | the /en subpage]]: the tvar name is displayed instead of tvar content.
abi_ triaged this task as Medium priority.Sep 14 2020, 9:22 AM
Nikerabbit changed the subtype of this task from "Task" to "Bug Report".Sep 23 2020, 7:46 AM
Nikerabbit renamed this task from [regression] Translation page in source language use tvar name instead of tvar content to Translation page in source language use tvar name instead of tvar content.Sep 23 2020, 7:49 AM

I have not achieved to reproduce this bug anymore, thank you! 🙂

Pppery removed a subscriber: Pppery.Sep 27 2020, 9:24 PM
Nikerabbit closed this task as Resolved.Sep 28 2020, 6:31 AM

Thanks for confirming.